### Method

# Gtk.Builder.value_from_string_type

#### Declaration [src]

    gboolean
    gtk_builder_value_from_string_type (
      GtkBuilder* builder,
      GType type,
      const char* string,
      GValue* value,
      GError** error
    )

#### Description [src]

Demarshals a value from a string.

Unlike `gtk_builder_value_from_string()`, this function takes a `GType` instead of `GParamSpec`.

Calls `g_value_init()` on the `value` argument, so it need not be initialised beforehand.

Upon errors `FALSE` will be returned and `error` will be assigned a `GError` from the `GTK_BUILDER_ERROR` domain.

#### Parameters

`type` | `GType`
| the `GType` of the value
`string` | `const char*`
| the string representation of the value
| Ownership is not transferred to the callee
| The string is a NUL terminated UTF-8 string
`value` | `GValue*`
| the `GValue` to store the result in
| Direction: out
| Ownership is not transferred to the callee

#### Return value

Returns: `gboolean`
`TRUE` on success